import pandas as pd

def backtest_strategy(data, model):
    env = TradingEnv(data)
    state = env.reset()
    total_reward = 0
    done = False

    while not done:
        action = np.argmax(model.predict(state.reshape(1, -1)))
        next_state, reward, done, _ = env.step(action)
        total_reward += reward
        state = next_state

    return total_reward
